      subroutine rcvdat(n,m,lda,nb,a)
      implicit none

*
*     Creates matrix to be factorized
*
*     -- NPAC, Syracuse University --
*     Manish Parashar
*     April 1992
*

      integer jb,j,n,m,lda,nb,nprocs,me,host, iseed(4)
      integer neighbor0, iproc
      integer proc, mydone, mycols, mypanel
      real a(*)

      COMMON /LOCN/ PROC, MYDONE, MYCOLS, MYPANEL

      call who0(nprocs,me,host)

      iseed(1) = 617
      iseed(2) = 1553
      iseed(3) = 2191
      iseed(4) = 3771

*     ** GENERATE PANELS spinning RANDOM NUMBER SEED for panels of other proc **

      mypanel = 0
      mycols = 0
      iproc = 0
      do 200 j=1,n,nb
	     jb = min (n-j+1,nb)
	     if (me.eq.iproc) then
		 call matgen(a(mypanel*lda*nb+1),lda,m,jb,iseed)
	         mycols = mycols + jb
	         mypanel = mypanel + 1
	     else
                 call skip (m,jb,iseed)
	     endif
             iproc = neighbor0(1,iproc)
  200 continue

      RETURN
*
*     End of RCVDAT .
*
      END
